Add shortcut to jump to currently playing playlist
Status: Closed Start date: March 14, 2018
Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version:    

Affects version: 3.6.2   

Description

I am missing this UI interaction that jumps to the current track in the current playlist for a very long time.

Its such nice player...... but so easy to get lost....

Why is it so difficult to go to the track in the playlist which is currently playing?

This is one of the major issues i have with this player for many years.

Once I switch between playlists there is no way to easily go back to the one which is playing.

I have to find and select the current playlist and find the track which is playing...

(the bad contrast in the dark theme makes this very hard)

So there are jump commands in the menu.

but the important one is missing:

JUMP to curent track in current playlist

I am talking GTK interface here....

Or am I simply too stupid to use this software?

In other players there is a NOW PLAYING tab which leads to the current list.

This I am missing here.

History

#1 - March 14, 2018 21:49 - John Lindgren

The currently playing playlist is labeled in bold font in the playlist manager, and you can switch to it with a single click.  Then press the Escape key to

select the currently playing song.  I guess "difficult" is a subjective term, but that doesn't seem too bad to me.

#2 - March 20, 2018 19:33 - UV Wild

Thats a starting point.

However, jumping from whereever I am to the current playing track directly would be desirable.

When there a lot of playlists selecting the current playlist manually is exactly the difficult bit!

So I suppose I can change this in libaudgui somewhere...

As there are jump commands already I dont understand why the obvious jump to now playing is missing...

Probably no developer managing a lot of music and playlists with this thing.....

#3 - June 30, 2018 02:22 - John Lindgren

I implemented this in the Qt UI (press Escape again to go to the playing playlist).

https://github.com/audacious-media-player/audacious-plugins/commit/b5bc905275c0c20d53ff123b4a9e2b2648a8250a
I will leave this request open until we make the Qt UI the default.

#4 - June 30, 2018 02:25 - John Lindgren

- Subject changed from Where is the NOW PLAYING function i.e.  jump to current track in playlist  command/key/button  ? to Add shortcut to jump to

currently playing playlist

#5 - December 05, 2020 16:41 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to plugins/qtui

Qt UI is now the default, so closing.
